Name:		lwmon
Version:	1.3.5
Release:	1%{?dist}
Summary:	Monitoring tools for Livewire
Group:		Development/Tools
License:	GPLv2
URL:		http://github.com/ElvishArtisan/lwmon
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	qt5-qtbase-devel qt5-linguist
BuildRoot: 	/var/tmp/%{name}-1.3.5


%description
This package contains a set of utilities for monitoring and troubleshooting
the health of an Axia Livewire installation. It include
lwrp(1) and lwcp(1), utilities for inspecting and originating Livewire
Routing protocol ('lwrp') and Livewire Control Protocol ('lwcp') messages.

More information about Livewire can be found at http://www.axiaaudio.com/


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/lwaddr
%{_bindir}/lwcap
%{_bindir}/lwcast
%{_bindir}/lwcp
%attr(4755,root,root) %{_sbindir}/lwmaster
%{_bindir}/lwmastermon
%{_bindir}/lwmon
%{_bindir}/lwmultcap
%{_bindir}/lwrp
%{_mandir}/man1/lwaddr.1.gz
%{_mandir}/man1/lwcap.1.gz
%{_mandir}/man1/lwcast.1.gz
%{_mandir}/man1/lwcp.1.gz
%{_mandir}/man8/lwmaster.8.gz
%{_mandir}/man1/lwmastermon.1.gz
%{_mandir}/man1/lwmultcap.1.gz
%{_mandir}/man1/lwrp.1.gz
%{_datadir}/icons/hicolor/48x48/apps/lwmon.png
%{_datadir}/icons/hicolor/16x16/apps/lwmon.png
%{_datadir}/applications/lwmon-lwmastermon.desktop
%doc COPYING
%doc NEWS
%doc README


%changelog
* Mon May 24 2021 Fred Gleason <fredg@paravelsystems.com>
-- Updated the package 'summary' and 'description' fields. 
* Wed Apr 19 2017 Fred Gleason <fredg@paravelsystems.com>
-- Added lwmastermon(1).
* Mon Feb 13 2017 Fred Gleason <fredg@paravelsystems.com>
-- Added lwcap(1).
* Thu Feb  9 2017 Fred Gleason <fredg@paravelsystems.com>
-- Added lwcast(1).
* Fri Sep 25 2015 Fred Gleason <fredg@paravelsystems.com>
-- Initial packaging.
